#include "GUI_VC66_Gear.h"
#include "Data_Gear.h"
/*ZH:*/

/*档位 显示*/
void Gui_Display_Gear(void)
{
	switch (Gui_Get_Gear()) // 显示19种档位
	{
		case 0u :
			{
				GUI_General_Display(Gear_Sprite, SpriteSize, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 1u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_1, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 2u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_2, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 3u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_3, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 4u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_4, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 5u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_5, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 6u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_6, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 7u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_7, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 8u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_8, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 9u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_9, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 10u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_10, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 11u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_11, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 12u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_12, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 13u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_R2, GUI_BLENDMODE_SRC_OVER);//R2
			}
			break;



		case 14u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_R1, GUI_BLENDMODE_SRC_OVER);//R1
			}
			break;

		

		case 15u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_N, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 16u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_RM, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 17u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_DM, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 18u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_E, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 19u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_NE, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		case 20u :
			{
				GUI_General_Display(Gear_Sprite, CN_dangwei_buming, GUI_BLENDMODE_SRC_OVER);
			}
			break;

		default :
			{
			    GUI_General_Display(Gear_Sprite, SpriteSize, GUI_BLENDMODE_SRC_OVER);
			}
			break;
	}

	if (Gui_Get_Gear_MANUAL())
	{
		GUI_General_Display(Gear_Sprite, CN_MANUAL, GUI_BLENDMODE_SRC_OVER); // 显示文字 “ MANUAL ”
	}
	else
	{
		GUI_General_Display(Gear_Sprite, SpriteSize, GUI_BLENDMODE_SRC_OVER); // 不显示文字 “ MANUAL ”
	}
}

/*:ZH*/